program Ctl3DApp;

{---------------------------------------------------------------------
Example application for the Ctl3D control (Ctl3DS.DLL) of
the SMWCC 2.0 Custom Control Pack

Copyright (C) by Sebastian Modersohn

Note: This code file isn't documented into detail. If you have
      questions to *THIS* code file or want to know some details
      please contact me via CompuServe, ID 100340,1474.
---------------------------------------------------------------------}

{$IFNDEF AUTOLOAD}

  You HAVE to compile this program with the global defined symbol "AUTOLOAD" !
  This demonstrates the autoloading feature of the import unit Ctl3d!
{$ENDIF}

{$R Ctl3DApp}

uses WinTypes, WinProcs, WinDos, OWindows, ODialogs, Strings,
     {the interface unit (only for autoloading the DLL)
      and its constant unit}
     Ctl3d, Ctl3dCo;

type
  pMainWindoww = ^tMainWindoww;
  tMainWindoww = object(tDlgWindow)
    procedure Help(var Msg: TMessage);
      virtual id_First + 998;
  end;

{App initializes the main window}
  pCtl3DApp = ^tCtl3DApp;
  tCtl3DApp = object(tApplication)
    procedure InitMainWindow; virtual;
  end;

{ tMainWindoww }

procedure TMainWindoww.Help(var Msg: TMessage);
begin
  WinHelp(HWindow, HelpFile, Help_Context, 100);
end;

{ TCtl3DApp }

procedure TCtl3DApp.InitMainWindow;
begin
  MainWindow := New(PMainWindoww, Init(nil, 'dlg_main'));
end;

var
  App: TCtl3DApp;

begin
  App.Init('Ctl3DS Demo');
  App.Run;
  App.Done;
end.
